Subject: Re: bug#52860: Wishlist: Alternative keywords for emoji

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 29 Dec 2021 15:56:23 +0100

Tor Kringeland <[email-masked]> writes:

> It would be nice if Emacs had an option to specify an a-list
> containing alternative keywords for given emoji.  The car of an entry
> would be an emoji and the cdr would be a list of alternative keywords.
> Then these could been included when running `emoji-search' or in
> possible future input methods.  As an example, it could look like
>
>   '(("🤗" "hug" "hugging" "kind"))
>
> The keywords need not be unique for the given emoji.

Sure, I can see that being handy, but we don't want to take on the job
of maintaining such a thing ourselves, because it'd be a never ending job.

> There are some efforts to crowdsource keywords for emoji.  One is [1]
> (see also raw file [2]).  I think it makes more sense to only have an
> option and let the user specify the keywords he wants.
>
> - [1] https://github.com/muan/emojilib
>
> - [2]
>   https://raw.githubusercontent.com/muan/emojilib/main/dist/emoji-en-US.json

And I'm sceptical of using a crowd-sourced repository for something like
that, because who knows what could sneak in.  Looking at the list there,
I don't see anything particularly offensive, but it looks kinda...  too
much: 

],
  "🔘": [
    "radio_button",
    "input",
    "old",
    "music",
    "circle"
  ],
  "🔳": [
    "white_square_button",
    "shape",
    "input"
  ],
  "🔲": [
    "black_square_button",
    "shape",
    "input",
    "frame"
  ],

"shape"?  "old"?

It's MIT-licensed, though....  uhm...  I don't recall whether that's OK
or not at the moment.  Is MIT the one where you have to list the
original author prominently?  Anybody?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no